Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportSchedulingListAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              com.jaspersoft.jasperserver.war.action.ReportSchedulingListAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ReportSchedulingListAction

extends org.springframework.webflow.action.MultiAction

Version:
  $Id: ReportSchedulingListAction.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportSchedulingListAction()`

Method Summary
`org.springframework.webflow.execution.Event` | `deleteJobs(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getAttributeOwnerURI()`
`protected ExecutionContext` | `getExecutionContext(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getJobListAttrName()`
`protected java.lang.String` | `getOwnerURI(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getReportUnitURIAttrName()`
`ReportSchedulingService` | `getSchedulingService()`
`java.lang.String` | `getSelectedJobsParamName()`
`org.springframework.webflow.execution.Event` | `listJobs(org.springframework.webflow.execution.RequestContext context)`
`protected java.util.List` | `loadJobList(org.springframework.webflow.execution.RequestContext context)`
`void` | `setAttributeOwnerURI(java.lang.String attributeOwnerURI)`
`void` | `setJobListAttrName(java.lang.String jobListAttrName)`
`void` | `setReportUnitURIAttrName(java.lang.String reportUnitURIAttrName)`
`protected void` | `setRequestErrorMessage(org.springframework.webflow.execution.RequestContext context)`
`void` | `setSchedulingService(ReportSchedulingService schedulingService)`
`void` | `setSelectedJobsParamName(java.lang.String selectedJobsParamName)`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSchedulingListAction

    public ReportSchedulingListAction()

Method Detail

### getSchedulingService

    public ReportSchedulingService getSchedulingService()

### setSchedulingService

    public void setSchedulingService(ReportSchedulingService schedulingService)

### getJobListAttrName

    public java.lang.String getJobListAttrName()

### setJobListAttrName

    public void setJobListAttrName(java.lang.String jobListAttrName)

### getReportUnitURIAttrName

    public java.lang.String getReportUnitURIAttrName()

### setReportUnitURIAttrName

    public void setReportUnitURIAttrName(java.lang.String reportUnitURIAttrName)

### getSelectedJobsParamName

    public java.lang.String getSelectedJobsParamName()

### setSelectedJobsParamName

    public void setSelectedJobsParamName(java.lang.String selectedJobsParamName)

### listJobs

    public org.springframework.webflow.execution.Event listJobs(org.springframework.webflow.execution.RequestContext context)

### getOwnerURI

    protected java.lang.String getOwnerURI(org.springframework.webflow.execution.RequestContext context)

### loadJobList

    protected java.util.List loadJobList(org.springframework.webflow.execution.RequestContext context)

### setRequestErrorMessage

    protected void setRequestErrorMessage(org.springframework.webflow.execution.RequestContext context)

### deleteJobs

    public org.springframework.webflow.execution.Event deleteJobs(org.springframework.webflow.execution.RequestContext context)

### getExecutionContext

    protected ExecutionContext getExecutionContext(org.springframework.webflow.execution.RequestContext context)

### getAttributeOwnerURI

    public java.lang.String getAttributeOwnerURI()

### setAttributeOwnerURI

    public void setAttributeOwnerURI(java.lang.String attributeOwnerURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.